Installed apps don't show in search after viewing: "What's new" or "Top rated"

Bug #985389 reported by Stéphane Guillou on 2012-04-19
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Michael Vogt
Precise
Undecided
Unassigned
Quantal
Medium
Michael Vogt

Bug Description

The "installed-only" filter is leaking into the searches, to reproduce:

1. open software-center
2. click on "whats new"
3. click on "all software" in the main toolbar
4. search for something installed like "apt"
5. verify that its not found longer there

Another incarnation of this problem is the searchaid:
1. open software-center
2. click on "whats new"
3. search for something you have installed like libc6 but thats not in "whats new"
4. click on "search all categories
5. verify that libc6 is not found and nothing installed is in the list

Original description:

My problem is that on the main page of the Ubuntu Software Center, the
 softwares that I have already installed don't appear in the "what's
 new" and "top rated" categories. They are not in the full lists either
 if I clic on "more", but I can see them in the "top rated" apps in
 each category.

 Furthermore, installed apps are not found when performing a research
 AFTER viewing either "top rated" or "what's new" lists.

 However, I can find the apps in "installed" and by navigating in the
 categories.

 In the screenshots, you can see that (1, 2) I have installed the games
 0 A.D. and Hedgewars, but (3, 4, 5) none can be found in the "what's
 new" (0 A.D.) or "top rated" (Hedgewars). I the last screenshot (6), a
 search for the name "hedgewars" shows no result as the search was
 performed after viewing the "top rated" and "what's new" lists.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: software-center 5.2
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14
Uname: Linux 3.2.0-23-generic-pae i686
ApportVersion: 2.0.1-0ubuntu5
Architecture: i386
Date: Thu Apr 19 13:43:19 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328)
PackageArchitecture: all
SourcePackage: software-center
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

description: updated
Michael Vogt (mvo) on 2012-04-23
summary: - Installed apps don't show in search, "What's new" and "Top rated"
+ Installed apps don't show in search after viewing: "What's new" or "Top
+ rated"
Changed in software-center (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
milestone: none → precise-updates

I confirm Micheal Vogt's change to the title: installed apps don't appear in search after looking at "top rated" or "what's new" full lists.

I add that the fact that installed apps don't appear in the main "top rated" preview, but do appear in the categories' "top rated", makes the whole thing look inconsistent.

Did you witness this behaviour yourself, Michael? If so, could you mark this bug as affecting you too?

Cheers.

description: updated
Michael Vogt (mvo) on 2012-04-23
tags: added: ca-escalated
Michael Vogt (mvo) wrote :

One obvious way to fix the first issue would be:

=== modified file 'softwarecenter/ui/gtk3/panes/softwarepane.py'
--- softwarecenter/ui/gtk3/panes/softwarepane.py 2012-04-12 12:10:50 +0000
+++ softwarecenter/ui/gtk3/panes/softwarepane.py 2012-04-23 13:49:37 +0000
@@ -123,7 +123,7 @@
         self.search_term = ""
         self.application = None
         self.limit = 0
- #~ self.filter = None
+ self.filter = None
         self.vadjustment = 0.0

But there is a regression risk here as the filter is also used for global fitlering like showing "supported" only. So we probably
need to selectively reset the filter.

description: updated
Michael Vogt (mvo) wrote :

The linked branch should work, but we need to watch out carefully for regressions.

Changed in software-center (Ubuntu):
status: Confirmed → In Progress

Thanks for the help, Michael. I edited the description again as there has been a conflict.

description: updated
Changed in software-center (Ubuntu):
assignee: nobody → Michael Vogt (mvo)

Hello Stéphane, or anyone else affected,

Accepted software-center into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Steve Langasek (vorlon) on 2012-05-16
Changed in software-center (Ubuntu Precise):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package software-center - 5.2.2

---------------
software-center (5.2.2) precise-proposed; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/whatsnew-leak-lp985389:
    - search filter fix for the case when the "installed-only"
      filter leaks into subsequent searches (LP: #985389)
  * lp:~mvo/software-center/fix-lp994632:
    - add a dep to ensure we get the correct ubuntu-sso-client-gtk
      (LP: #994632)
  * lp:~mvo/software-center/proper-error-on-unknown-files:
    - show a proper error message when attempting to open unknown
      file types (LP: #944868)
  * lp:~mvo/software-center/lp921799:
    - fix crash when decoding screenshots JSON (LP: #921799)
  * lp:~mvo/software-center/lp959612:
    - fix crash when selecting the Installed view very quickly
      after startup (LP: #959612)

  [ Ken VanDine ]
  * lp:~ken-vandine/software-center/lp_982567:
    - Check if the proxy is enabled, if the proxy host is set but not
      enabled we shouldn't attempt to use the proxy (LP: #982567)

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/fix-crash-lp969732:
    - need to explicitly declare the needs-refresh signal in the
      AppTreeStore class to prevent a crash (LP: #969732)
  * lp:~gary-lasker/software-center/fix-crash-lp870822:
    - don't crash if we don't get a pkgversion object back
      (LP: #870822)
  * lp:~gary-lasker/software-center/fix-shutdown-crash-lp996333:
    - never crash when writing out the software center config file on
      shutdown (LP: #996333)
  * lp:~gary-lasker/software-center/fix-makedirs-race-crashes:
    - fix crash on race when creating the cache or config directories
      (LP: #743003, LP: #621182)
  * lp:~gary-lasker/software-center/fix-crash_lp973379:
    - ensure that the cache is ready before using the recommender
      service (LP: #973379 )
  * lp:~gary-lasker/software-center/toolbar-buttons-insensitive-during-startup:
    - set the toolbar buttons insensitive for the duration of time that the
      lobby panels are initializing (LP: #999486, LP: #994341)

  [ Robert Roth ]
  * lp:~evfool/software-center/bug532072:
    - escape markup for support info and license (LP: #993279)
    - ellipsize summary at trailing end (LP: #532072)
  * lp:~evfool/software-center/lp626037:
    - subtle background color tweak for consistency
      between views (LP: #626037)
  * lp:~evfool/software-center/lp835005:
    - no need for the software-properties dialog to be modal
      to software-center (LP: #835005)
  * lp:~evfool/software-center/lp839389:
    - don't display an "icon not found" image in the Unity
      launcher when a report a review window is opened (LP: #839389)
  * lp:~evfool/software-center/867588:
    - capitalize the first letter of the package summary
      (LP: #867588)
  * lp:~evfool/software-center/lp876657:
    - make sure the search field does not disappear when an
      install or remove is in progress (LP: #876657)
  * lp:~evfool/software-center/lp987797:
    - fix alignment in the reviews part of the appdetails (LP: #987797)
  * lp:~evfool/software-center/lp844768:
    - show a indeterminate progress bar when software-center waits for
      another ...

Read more...

Changed in software-center (Ubuntu Quantal):
status: In Progress → Fix Released

I confirm that it is fixed now. Cheers!

Gary Lasker (gary-lasker) wrote :

Thank you for the verification, Stéphane! Your help is much appreciated!

Best regards,
Gary

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package software-center - 5.2.2

---------------
software-center (5.2.2) precise-proposed; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/whatsnew-leak-lp985389:
    - search filter fix for the case when the "installed-only"
      filter leaks into subsequent searches (LP: #985389)
  * lp:~mvo/software-center/fix-lp994632:
    - add a dep to ensure we get the correct ubuntu-sso-client-gtk
      (LP: #994632)
  * lp:~mvo/software-center/proper-error-on-unknown-files:
    - show a proper error message when attempting to open unknown
      file types (LP: #944868)
  * lp:~mvo/software-center/lp921799:
    - fix crash when decoding screenshots JSON (LP: #921799)
  * lp:~mvo/software-center/lp959612:
    - fix crash when selecting the Installed view very quickly
      after startup (LP: #959612)

  [ Ken VanDine ]
  * lp:~ken-vandine/software-center/lp_982567:
    - Check if the proxy is enabled, if the proxy host is set but not
      enabled we shouldn't attempt to use the proxy (LP: #982567)

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/fix-crash-lp969732:
    - need to explicitly declare the needs-refresh signal in the
      AppTreeStore class to prevent a crash (LP: #969732)
  * lp:~gary-lasker/software-center/fix-crash-lp870822:
    - don't crash if we don't get a pkgversion object back
      (LP: #870822)
  * lp:~gary-lasker/software-center/fix-shutdown-crash-lp996333:
    - never crash when writing out the software center config file on
      shutdown (LP: #996333)
  * lp:~gary-lasker/software-center/fix-makedirs-race-crashes:
    - fix crash on race when creating the cache or config directories
      (LP: #743003, LP: #621182)
  * lp:~gary-lasker/software-center/fix-crash_lp973379:
    - ensure that the cache is ready before using the recommender
      service (LP: #973379 )
  * lp:~gary-lasker/software-center/toolbar-buttons-insensitive-during-startup:
    - set the toolbar buttons insensitive for the duration of time that the
      lobby panels are initializing (LP: #999486, LP: #994341)

  [ Robert Roth ]
  * lp:~evfool/software-center/bug532072:
    - escape markup for support info and license (LP: #993279)
    - ellipsize summary at trailing end (LP: #532072)
  * lp:~evfool/software-center/lp626037:
    - subtle background color tweak for consistency
      between views (LP: #626037)
  * lp:~evfool/software-center/lp835005:
    - no need for the software-properties dialog to be modal
      to software-center (LP: #835005)
  * lp:~evfool/software-center/lp839389:
    - don't display an "icon not found" image in the Unity
      launcher when a report a review window is opened (LP: #839389)
  * lp:~evfool/software-center/867588:
    - capitalize the first letter of the package summary
      (LP: #867588)
  * lp:~evfool/software-center/lp876657:
    - make sure the search field does not disappear when an
      install or remove is in progress (LP: #876657)
  * lp:~evfool/software-center/lp987797:
    - fix alignment in the reviews part of the appdetails (LP: #987797)
  * lp:~evfool/software-center/lp844768:
    - show a indeterminate progress bar when software-center waits for
      another ...

Read more...

Changed in software-center (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers